<?php
class SuperUsuarioSinRegistro{
	function __construct($array_parametros = NULL){
		if (!$array_parametros == NULL){
			if (is_array($array_parametros)){
				foreach($array_parametros as $clave => $valor){
					$this->$clave = $valor;
				}
			}
		}
	}
	//Métodos mágicos de este objeto
	public function __get($variable){
		$retorno = NULL;
		if (isset($this->$variable)){
			$retorno = $this->$variable;
		}
		return($retorno);
	}

	public function __set($variable, $valor){
		if (!isset($this->$variable)){
			$this->$variable = NULL;
		}
		$this->$variable = $valor;
	}
	
	public function __isset($variable){
		$retorno = false;
		if (isset($this->$variable)){
			$retorno = true;
		}
		return($retorno);
	}	
}
?>